## golang-github-tdewolff-minify 2.9.22

=== Makefile ===
NAME=minify
CMD=./cmd/minify
TARGETS=linux_amd64 darwin_amd64 freebsd_amd64 netbsd_amd64 openbsd_amd64 windows_amd64
VERSION=`git describe --tags`
FLAGS=-ldflags "-s -w -X 'main.Version=${VERSION}'" -trimpath
ENVS=GO111MODULES=on CGO_ENABLED=0

all: install

install:
	echo "Installing ${VERSION}"
	${ENVS} go install ${FLAGS} ./cmd/minify
	. cmd/minify/bash_completion

release:
	TAG=$(shell git describe --tags --exact-match 2> /dev/null);
	if [ "${.SHELLSTATUS}" -eq 0 ]; then \
		echo "Releasing ${VERSION}"; \
	else \
		echo "WARNING: commit is not tagged with a version"; \
		echo ""; \
	fi
	rm -rf dist
	mkdir -p dist
	for t in ${TARGETS}; do \
		echo Building $$t...; \
		mkdir dist/$$t; \
		os=$$(echo $$t | cut -f1 -d_); \
		arch=$$(echo $$t | cut -f2 -d_); \
		${ENVS} GOOS=$$os GOARCH=$$arch go build ${FLAGS} -o dist/$$t/${NAME} ${CMD}; \
		\
		cp LICENSE dist/$$t/.; \
		cp cmd/minify/README.md dist/$$t/.; \
		if [ "$$os" == "windows" ]; then \
			mv dist/$$t/${NAME} dist/$$t/${NAME}.exe; \
			zip -jq dist/${NAME}_$$t.zip dist/$$t/*; \
			cd dist; \
			sha256sum ${NAME}_$$t.zip >> checksums.txt; \
			cd ..; \
		else \
			cp cmd/minify/bash_completion dist/$$t/.; \
			cd dist/$$t; \
			tar -cf - * | gzip -9 > ../${NAME}_$$t.tar.gz; \
			cd ..; \
			sha256sum ${NAME}_$$t.tar.gz >> checksums.txt; \
			cd ..; \
		fi; \
		rm -rf dist/$$t; \
	done

clean:
	echo "Cleaning dist/"
	rm -rf dist

.PHONY: install release clean
.SILENT: install release clean

## golang-github-tdewolff-minify 2.1.0+git20170802.25.b6ab3cd

=== debian/changelog ===
golang-github-tdewolff-minify (2.1.0+git20170802.25.b6ab3cd-1) unstable; urgency=medium

  * Initial release (Closes: #870594)
  * 001-disable-equinoxUpdate.patch: Remove equinoxUpdate() to prevent
    dependency on github.com/equinox-io/equinox which cannot yet be packaged
    due to its lack of a license.

 -- Anthony Fok <foka@debian.org>  Thu, 03 Aug 2017 01:26:11 -0600

=== debian/control ===
Source: golang-github-tdewolff-minify
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-dustin-go-humanize-dev,
               golang-github-fsnotify-fsnotify-dev,
               golang-github-matryer-try-dev,
               golang-github-spf13-pflag-dev,
               golang-github-tdewolff-buffer-dev,
               golang-github-tdewolff-parse-dev,
               golang-github-tdewolff-strconv-dev,
               golang-github-tdewolff-test-dev
Standards-Version: 4.0.0
Homepage: https://github.com/tdewolff/minify
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-tdewolff-minify.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-tdewolff-minify.git
XS-Go-Import-Path: github.com/tdewolff/minify
Testsuite: autopkgtest-pkg-go

Package: golang-github-tdewolff-minify-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-dustin-go-humanize-dev,
         golang-github-fsnotify-fsnotify-dev,
         golang-github-matryer-try-dev,
         golang-github-spf13-pflag-dev,
         golang-github-tdewolff-buffer-dev,
         golang-github-tdewolff-parse-dev,
         golang-github-tdewolff-strconv-dev,
         golang-github-tdewolff-test-dev
Description: Go minifiers for web formats
 github.com/tdewolff/minify is a minifier package written in Go.
 It provides HTML5, CSS3, JS, JSON, SVG and XML minifiers and an interface
 to implement any other minifier.
 .
 Minification is the process of removing bytes from a file (such as
 whitespace) without changing its output and therefore shrinking
 its size and speeding up transmission over the Internet and possibly
 parsing.  The implemented minifiers are high performance and streaming,
 which implies O(n).
 .
 The core functionality associates mimetypes with minification functions,
 allowing embedded resources (like CSS or JS within HTML files) to be
 minified as well. Users can add new implementations that are triggered
 based on a mimetype (or pattern), or redirect to an external command
 (like ClosureCompiler, UglifyCSS, ...)

Package: minify
Priority: optional
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: CLI implementation of the Go minify library package
 /usr/bin/minify is a CLI implementation of the github.com/tdewolff/minify
 Go library package.
 .
 It provides HTML5, CSS3, JS, JSON, SVG and XML minifiers.
 .
 Minification is the process of removing bytes from a file (such as
 whitespace) without changing its output and therefore shrinking
 its size and speeding up transmission over the Internet and possibly
 parsing.  The implemented minifiers are high performance and streaming,
 which implies O(n).

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-tdewolff-minify-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/tdewolff/minify/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-tdewolff-minify 2.3.4

=== debian/changelog ===
golang-github-tdewolff-minify (2.3.4-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Anthony Fok ]
  * New upstream version 2.3.4
  * Remove obsolete dependency on golang-github-tdewolff-{buffer,strconv}-dev
  * Apply "cme fix dpkg" and bump Standards-Version to 4.1.4
  * Remove 001-disable-equinoxUpdate.patch:
    Upstream switched from Equinox to GoReleaser in November 2017
  * Add "DH_GOLANG_EXCLUDES := benchmarks" to debian/rules

 -- Anthony Fok <foka@debian.org>  Tue, 10 Apr 2018 10:43:02 -0600

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: golang-github-tdewolff-minify
-Section: devel
-Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
+Section: devel
+Testsuite: autopkgtest-pkg-go
+Priority: optional
 Build-Depends: debhelper (>= 10),
                dh-golang,
                golang-any,
@@ -10,16 +11,13 @@
                golang-github-fsnotify-fsnotify-dev,
                golang-github-matryer-try-dev,
                golang-github-spf13-pflag-dev,
-               golang-github-tdewolff-buffer-dev,
                golang-github-tdewolff-parse-dev,
-               golang-github-tdewolff-strconv-dev,
                golang-github-tdewolff-test-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-tdewolff-minify
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-tdewolff-minify.git
 Homepage: https://github.com/tdewolff/minify
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-tdewolff-minify.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-tdewolff-minify.git
 XS-Go-Import-Path: github.com/tdewolff/minify
-Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-tdewolff-minify-dev
 Architecture: all
@@ -29,9 +27,7 @@
          golang-github-fsnotify-fsnotify-dev,
          golang-github-matryer-try-dev,
          golang-github-spf13-pflag-dev,
-         golang-github-tdewolff-buffer-dev,
          golang-github-tdewolff-parse-dev,
-         golang-github-tdewolff-strconv-dev,
          golang-github-tdewolff-test-dev
 Description: Go minifiers for web formats
  github.com/tdewolff/minify is a minifier package written in Go.
@@ -51,11 +47,11 @@
  (like ClosureCompiler, UglifyCSS, ...)
 
 Package: minify
+Architecture: any
 Priority: optional
-Architecture: any
-Built-Using: ${misc:Built-Using}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Built-Using: ${misc:Built-Using}
 Description: CLI implementation of the Go minify library package
  /usr/bin/minify is a CLI implementation of the github.com/tdewolff/minify
  Go library package.

## golang-github-tdewolff-minify 2.3.5

=== debian/changelog ===
golang-github-tdewolff-minify (2.3.5-2) unstable; urgency=medium

  * Add versioned dependency on golang-github-tdewolff-parse-dev (>= 2.3.3-1~)
  * Bump Standards-Version to 4.1.5 (no change)
  * Override false-positive source-is-missing Lintian errors
    due to sample benchmark HTML files containing long lines.
  * Fix Lintian binary-control-field-duplicates-source

 -- Anthony Fok <foka@debian.org>  Wed, 11 Jul 2018 10:07:08 -0600

golang-github-tdewolff-minify (2.3.5-1) unstable; urgency=medium

  * New upstream version 2.3.5
  * Use debhelper (>= 11)

 -- Anthony Fok <foka@debian.org>  Mon, 25 Jun 2018 12:28:24 -0600

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-golang,
                golang-any,
                golang-github-dustin-go-humanize-dev,
                golang-github-fsnotify-fsnotify-dev,
                golang-github-matryer-try-dev,
                golang-github-spf13-pflag-dev,
-               golang-github-tdewolff-parse-dev,
+               golang-github-tdewolff-parse-dev (>= 2.3.3-1~),
                golang-github-tdewolff-test-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-tdewolff-minify
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-tdewolff-minify.git
 Homepage: https://github.com/tdewolff/minify
@@ -27,7 +27,7 @@
          golang-github-fsnotify-fsnotify-dev,
          golang-github-matryer-try-dev,
          golang-github-spf13-pflag-dev,
-         golang-github-tdewolff-parse-dev,
+         golang-github-tdewolff-parse-dev (>= 2.3.3-1~),
          golang-github-tdewolff-test-dev
 Description: Go minifiers for web formats
  github.com/tdewolff/minify is a minifier package written in Go.
@@ -48,7 +48,6 @@
 
 Package: minify
 Architecture: any
-Priority: optional
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Built-Using: ${misc:Built-Using}

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := benchmarks

%:
	dh $@ --buildsystem=golang --with=golang

## golang-github-tdewolff-minify 2.3.6

=== debian/changelog ===
golang-github-tdewolff-minify (2.3.6-1) unstable; urgency=medium

  * New upstream version 2.3.6
  * Update Maintainer address in debian/control
  * Bump Standards-Version to 4.2.1 (no change)
  * Update versioned dependencies

 -- Anthony Fok <foka@debian.org>  Thu, 20 Dec 2018 09:17:33 -0700

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: golang-github-tdewolff-minify
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 11~),
                dh-golang,
                golang-any,
                golang-github-dustin-go-humanize-dev,
                golang-github-fsnotify-fsnotify-dev,
                golang-github-matryer-try-dev,
                golang-github-spf13-pflag-dev,
-               golang-github-tdewolff-parse-dev (>= 2.3.3-1~),
-               golang-github-tdewolff-test-dev
-Standards-Version: 4.1.5
+               golang-github-tdewolff-parse-dev (>= 2.3.4~),
+               golang-github-tdewolff-test-dev (>= 1.0.0~)
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-tdewolff-minify
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-tdewolff-minify.git
 Homepage: https://github.com/tdewolff/minify
@@ -27,8 +27,8 @@
          golang-github-fsnotify-fsnotify-dev,
          golang-github-matryer-try-dev,
          golang-github-spf13-pflag-dev,
-         golang-github-tdewolff-parse-dev (>= 2.3.3-1~),
-         golang-github-tdewolff-test-dev
+         golang-github-tdewolff-parse-dev (>= 2.3.4~),
+         golang-github-tdewolff-test-dev (>= 1.0.0~)
 Description: Go minifiers for web formats
  github.com/tdewolff/minify is a minifier package written in Go.
  It provides HTML5, CSS3, JS, JSON, SVG and XML minifiers and an interface

## golang-github-tdewolff-minify 2.3.8

=== debian/changelog ===
golang-github-tdewolff-minify (2.3.8-1) unstable; urgency=medium

  * New upstream version 2.3.8
  * Install go.mod and go.sum

 -- Anthony Fok <foka@debian.org>  Thu, 20 Dec 2018 11:48:19 -0700

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                golang-github-fsnotify-fsnotify-dev,
                golang-github-matryer-try-dev,
                golang-github-spf13-pflag-dev,
-               golang-github-tdewolff-parse-dev (>= 2.3.4~),
-               golang-github-tdewolff-test-dev (>= 1.0.0~)
+               golang-github-tdewolff-parse-dev (>= 2.3.5~),
+               golang-github-tdewolff-test-dev (>= 1.0.0-2~)
 Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-tdewolff-minify
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-tdewolff-minify.git
@@ -27,8 +27,8 @@
          golang-github-fsnotify-fsnotify-dev,
          golang-github-matryer-try-dev,
          golang-github-spf13-pflag-dev,
-         golang-github-tdewolff-parse-dev (>= 2.3.4~),
-         golang-github-tdewolff-test-dev (>= 1.0.0~)
+         golang-github-tdewolff-parse-dev (>= 2.3.5~),
+         golang-github-tdewolff-test-dev (>= 1.0.0-2~)
 Description: Go minifiers for web formats
  github.com/tdewolff/minify is a minifier package written in Go.
  It provides HTML5, CSS3, JS, JSON, SVG and XML minifiers and an interface

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := benchmarks
export DH_GOLANG_INSTALL_EXTRA := go.mod go.sum

%:
	dh $@ --buildsystem=golang --with=golang

## golang-github-tdewolff-minify 2.5.2

=== debian/changelog ===
golang-github-tdewolff-minify (2.5.2-1) unstable; urgency=medium

  * New upstream version 2.5.2
    - In particular, the removal of import comments in commit d2d0a4b9
      solves a build error (seen in Hugo) in GOPATH mode with Go 1.13
  * Update versioned dependency of tdewolff-{parse,test} according to go.mod
  * Bump debhelper dependency to "Build-Depends: debhelper-compat (= 12)"
  * Bump Standards-Version to 4.4.1 (no change)

 -- Anthony Fok <foka@debian.org>  Tue, 08 Oct 2019 16:37:27 -0600

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any,
                golang-github-dustin-go-humanize-dev,
                golang-github-fsnotify-fsnotify-dev,
                golang-github-matryer-try-dev,
                golang-github-spf13-pflag-dev,
-               golang-github-tdewolff-parse-dev (>= 2.3.5~),
-               golang-github-tdewolff-test-dev (>= 1.0.0-2~)
-Standards-Version: 4.2.1
+               golang-github-tdewolff-parse-dev (>= 2.3.9~),
+               golang-github-tdewolff-test-dev (>= 1.0.4~)
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-tdewolff-minify
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-tdewolff-minify.git
 Homepage: https://github.com/tdewolff/minify
@@ -27,8 +27,8 @@
          golang-github-fsnotify-fsnotify-dev,
          golang-github-matryer-try-dev,
          golang-github-spf13-pflag-dev,
-         golang-github-tdewolff-parse-dev (>= 2.3.5~),
-         golang-github-tdewolff-test-dev (>= 1.0.0-2~)
+         golang-github-tdewolff-parse-dev (>= 2.3.9~),
+         golang-github-tdewolff-test-dev (>= 1.0.4~)
 Description: Go minifiers for web formats
  github.com/tdewolff/minify is a minifier package written in Go.
  It provides HTML5, CSS3, JS, JSON, SVG and XML minifiers and an interface

## golang-github-tdewolff-minify 2.6.1

=== debian/changelog ===
golang-github-tdewolff-minify (2.6.1-1) unstable; urgency=medium

  * New upstream version 2.6.1
  * debian/gbp.conf: Set debian-branch to debian/sid for DEP-14 conformance
  * Add "Rules-Requires-Root: no" to debian/control
  * Bump Standards-Version to 4.5.0 (no change)
  * Update versioned dependency according to go.mod

 -- Anthony Fok <foka@debian.org>  Wed, 19 Feb 2020 03:25:11 -0700

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,13 @@
                golang-github-fsnotify-fsnotify-dev,
                golang-github-matryer-try-dev,
                golang-github-spf13-pflag-dev,
-               golang-github-tdewolff-parse-dev (>= 2.3.9~),
+               golang-github-tdewolff-parse-dev (>= 2.3.14~),
                golang-github-tdewolff-test-dev (>= 1.0.4~)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-tdewolff-minify
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-tdewolff-minify.git
 Homepage: https://github.com/tdewolff/minify
+Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/tdewolff/minify
 
 Package: golang-github-tdewolff-minify-dev
@@ -27,7 +28,7 @@
          golang-github-fsnotify-fsnotify-dev,
          golang-github-matryer-try-dev,
          golang-github-spf13-pflag-dev,
-         golang-github-tdewolff-parse-dev (>= 2.3.9~),
+         golang-github-tdewolff-parse-dev (>= 2.3.14~),
          golang-github-tdewolff-test-dev (>= 1.0.4~)
 Description: Go minifiers for web formats
  github.com/tdewolff/minify is a minifier package written in Go.

## golang-github-tdewolff-minify 2.7.2

=== debian/changelog ===
golang-github-tdewolff-minify (2.7.2-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Add empty override_dh_dwz to avoid ".debug_info section not present" error

 -- Anthony Fok <foka@debian.org>  Wed, 09 Dec 2020 13:04:35 -0700

golang-github-tdewolff-minify (2.7.2-1) unstable; urgency=medium

  * New upstream version 2.7.2
  * Update versioned dependencies according to go.mod

 -- Anthony Fok <foka@debian.org>  Fri, 21 Feb 2020 04:07:14 -0700

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,5 @@
 
 %:
 	dh $@ --buildsystem=golang --with=golang
+
+override_dh_dwz:

## golang-github-tdewolff-minify 2.9.16

=== debian/changelog ===
golang-github-tdewolff-minify (2.9.16-1) unstable; urgency=medium

  * New upstream version 2.9.16
  * Revert "Force build with Go 1.16" as v2.9.16 reverts back to
    supporting Go 1.13
  * Remove "DH_GOLANG_INSTALL_EXTRA := go.mod go.sum" from debian/rules
    as these files are already handled by dh-golang (>= 1.39)

 -- Anthony Fok <foka@debian.org>  Tue, 12 Oct 2021 03:05:07 -0600

golang-github-tdewolff-minify (2.9.15-1) unstable; urgency=medium

  * New upstream version 2.9.15
  * Force build with Go 1.16 because minify v2.9.15 in particular needs it
  * Bump dependency on golang-github-tdewolff-parse-dev to (>= 2.5.14)
  * Bump Standards-Version to 4.6.0 (no change)
  * Mark library package with "Multi-Arch: foreign"

 -- Anthony Fok <foka@debian.org>  Thu, 02 Sep 2021 06:59:04 -0600

golang-github-tdewolff-minify (2.9.13-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Anthony Fok ]
  * New upstream version 2.9.13
    with Debian dir 3c0239e6f47eda50206c1d8859107c005ed3330c
  * debian/control:
    - Change Section from devel to golang
    - Bump debhelper dependency to "Build-Depends: debhelper-compat (= 13)"
    - Bump Standards-Version to 4.5.1 (no change)
    - Update versioned dependencies as per go.mod
  * Override Lintian source-is-missing (line-length too long) errors
    and fix duplicate-override-context warnings

 -- Anthony Fok <foka@debian.org>  Mon, 09 Aug 2021 04:57:31 -0600

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: golang-github-tdewolff-minify
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
-Section: devel
+Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-golang,
+Build-Depends: debhelper-compat (= 13),
+               dh-golang (>= 1.39~),
                golang-any,
-               golang-github-dustin-go-humanize-dev,
-               golang-github-fsnotify-fsnotify-dev,
+               golang-github-dustin-go-humanize-dev (>= 1.0.0),
+               golang-github-fsnotify-fsnotify-dev (>= 1.4.9),
                golang-github-matryer-try-dev,
-               golang-github-spf13-pflag-dev,
-               golang-github-tdewolff-parse-dev (>= 2.3.14~),
-               golang-github-tdewolff-test-dev (>= 1.0.4~)
-Standards-Version: 4.5.0
+               golang-github-spf13-pflag-dev (>= 1.0.5),
+               golang-github-tdewolff-parse-dev (>= 2.5.14),
+               golang-github-tdewolff-test-dev (>= 1.0.6)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-tdewolff-minify
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-tdewolff-minify.git
 Homepage: https://github.com/tdewolff/minify
@@ -22,14 +22,15 @@
 
 Package: golang-github-tdewolff-minify-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         golang-github-dustin-go-humanize-dev,
-         golang-github-fsnotify-fsnotify-dev,
+         golang-github-dustin-go-humanize-dev (>= 1.0.0),
+         golang-github-fsnotify-fsnotify-dev (>= 1.4.9),
          golang-github-matryer-try-dev,
-         golang-github-spf13-pflag-dev,
-         golang-github-tdewolff-parse-dev (>= 2.3.14~),
-         golang-github-tdewolff-test-dev (>= 1.0.4~)
+         golang-github-spf13-pflag-dev (>= 1.0.5),
+         golang-github-tdewolff-parse-dev (>= 2.5.14),
+         golang-github-tdewolff-test-dev (>= 1.0.6)
 Description: Go minifiers for web formats
  github.com/tdewolff/minify is a minifier package written in Go.
  It provides HTML5, CSS3, JS, JSON, SVG and XML minifiers and an interface

## golang-github-tdewolff-minify 2.9.18

=== debian/changelog ===
golang-github-tdewolff-minify (2.9.18-1) unstable; urgency=medium

  * New upstream version 2.9.18
  * Bump dependency on golang-github-tdewolff-parse-dev to (>= 2.5.18)

 -- Anthony Fok <foka@debian.org>  Tue, 19 Oct 2021 15:26:10 -0600

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                golang-github-fsnotify-fsnotify-dev (>= 1.4.9),
                golang-github-matryer-try-dev,
                golang-github-spf13-pflag-dev (>= 1.0.5),
-               golang-github-tdewolff-parse-dev (>= 2.5.14),
+               golang-github-tdewolff-parse-dev (>= 2.5.18),
                golang-github-tdewolff-test-dev (>= 1.0.6)
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-tdewolff-minify
@@ -29,7 +29,7 @@
          golang-github-fsnotify-fsnotify-dev (>= 1.4.9),
          golang-github-matryer-try-dev,
          golang-github-spf13-pflag-dev (>= 1.0.5),
-         golang-github-tdewolff-parse-dev (>= 2.5.14),
+         golang-github-tdewolff-parse-dev (>= 2.5.18),
          golang-github-tdewolff-test-dev (>= 1.0.6)
 Description: Go minifiers for web formats
  github.com/tdewolff/minify is a minifier package written in Go.

## golang-github-tdewolff-minify 2.9.21

=== debian/changelog ===
golang-github-tdewolff-minify (2.9.21-1) unstable; urgency=medium

  * New upstream version 2.9.21
  * Bump dependency on golang-github-tdewolff-parse-dev to (>= 2.5.19)
  * Update Lintian overrides for lintian >= 2.109.0.
    Re: Fix non-sensical line lengths in hints from cruft check; see #996111

 -- Anthony Fok <foka@debian.org>  Fri, 29 Oct 2021 03:42:25 -0600

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                golang-github-fsnotify-fsnotify-dev (>= 1.4.9),
                golang-github-matryer-try-dev,
                golang-github-spf13-pflag-dev (>= 1.0.5),
-               golang-github-tdewolff-parse-dev (>= 2.5.18),
+               golang-github-tdewolff-parse-dev (>= 2.5.19),
                golang-github-tdewolff-test-dev (>= 1.0.6)
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-tdewolff-minify
@@ -29,7 +29,7 @@
          golang-github-fsnotify-fsnotify-dev (>= 1.4.9),
          golang-github-matryer-try-dev,
          golang-github-spf13-pflag-dev (>= 1.0.5),
-         golang-github-tdewolff-parse-dev (>= 2.5.18),
+         golang-github-tdewolff-parse-dev (>= 2.5.19),
          golang-github-tdewolff-test-dev (>= 1.0.6)
 Description: Go minifiers for web formats
  github.com/tdewolff/minify is a minifier package written in Go.

## golang-github-tdewolff-minify 2.9.22

=== debian/changelog ===
golang-github-tdewolff-minify (2.9.22-1) UNRELEASED; urgency=medium

  * update

 -- Debian Go Packaging Team <team+pkg-go@tracker.debian.org>  Thu, 26 May 2022 23:24:59 -0400

golang-github-tdewolff-minify (2.9.22-1) unstable; urgency=medium

  * New upstream version 2.9.22
  * Update versioned dependencies as per go.mod
  * Add local copy of github.com/djherbis/atime v1.1.0
    until golang-github-djherbis-atime is packaged for Debian

 -- Anthony Fok <foka@debian.org>  Thu, 04 Nov 2021 11:26:38 -0600

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang (>= 1.39~),
                golang-any,
+#              golang-github-djherbis-atime-dev (>= 1.1.0),
                golang-github-dustin-go-humanize-dev (>= 1.0.0),
                golang-github-fsnotify-fsnotify-dev (>= 1.4.9),
                golang-github-matryer-try-dev,
                golang-github-spf13-pflag-dev (>= 1.0.5),
-               golang-github-tdewolff-parse-dev (>= 2.5.19),
+               golang-github-tdewolff-parse-dev (>= 2.5.21),
                golang-github-tdewolff-test-dev (>= 1.0.6)
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-tdewolff-minify
@@ -25,11 +26,12 @@
 Multi-Arch: foreign
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+#        golang-github-djherbis-atime-dev (>= 1.1.0),
          golang-github-dustin-go-humanize-dev (>= 1.0.0),
          golang-github-fsnotify-fsnotify-dev (>= 1.4.9),
          golang-github-matryer-try-dev,
          golang-github-spf13-pflag-dev (>= 1.0.5),
-         golang-github-tdewolff-parse-dev (>= 2.5.19),
+         golang-github-tdewolff-parse-dev (>= 2.5.21),
          golang-github-tdewolff-test-dev (>= 1.0.6)
 Description: Go minifiers for web formats
  github.com/tdewolff/minify is a minifier package written in Go.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := benchmarks

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

execute_after_dh_auto_configure:
	# github.com/djherbis/atime v1.1.0 (pending packaging)
	cp -a debian/go/src/github.com/djherbis _build/src/github.com/

## golang-github-tdewolff-minify 2.10.0

=== debian/changelog ===
golang-github-tdewolff-minify (2.10.0-1) unstable; urgency=medium

  * New upstream version 2.10.0
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Reorder fields in debian/control and debian/copyright
    as would be generated in the next dh-make-golang release after 0.6.0-1
  * Remove local copy of local copy of github.com/djherbis/atime v1.1.0.
    Instead, depend on the new golang-github-djherbis-atime-dev Debian package
  * Bump dependency on golang-github-tdewolff-parse-dev to (>= 2.5.27)

 -- Anthony Fok <foka@debian.org>  Sat, 19 Mar 2022 21:33:10 -0600

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: golang-github-tdewolff-minify
+Section: golang
+Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
-Section: golang
-Testsuite: autopkgtest-pkg-go
-Priority: optional
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-golang (>= 1.39~),
+               dh-sequence-golang,
                golang-any,
-#              golang-github-djherbis-atime-dev (>= 1.1.0),
+               golang-github-djherbis-atime-dev (>= 1.1.0),
                golang-github-dustin-go-humanize-dev (>= 1.0.0),
                golang-github-fsnotify-fsnotify-dev (>= 1.4.9),
                golang-github-matryer-try-dev,
                golang-github-spf13-pflag-dev (>= 1.0.5),
-               golang-github-tdewolff-parse-dev (>= 2.5.21),
+               golang-github-tdewolff-parse-dev (>= 2.5.27),
                golang-github-tdewolff-test-dev (>= 1.0.6)
+Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-tdewolff-minify
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-tdewolff-minify.git
 Homepage: https://github.com/tdewolff/minify
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/tdewolff/minify
 
 Package: golang-github-tdewolff-minify-dev
@@ -26,12 +26,12 @@
 Multi-Arch: foreign
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-#        golang-github-djherbis-atime-dev (>= 1.1.0),
+         golang-github-djherbis-atime-dev (>= 1.1.0),
          golang-github-dustin-go-humanize-dev (>= 1.0.0),
          golang-github-fsnotify-fsnotify-dev (>= 1.4.9),
          golang-github-matryer-try-dev,
          golang-github-spf13-pflag-dev (>= 1.0.5),
-         golang-github-tdewolff-parse-dev (>= 2.5.21),
+         golang-github-tdewolff-parse-dev (>= 2.5.27),
          golang-github-tdewolff-test-dev (>= 1.0.6)
 Description: Go minifiers for web formats
  github.com/tdewolff/minify is a minifier package written in Go.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := benchmarks

%:
	dh $@ --builddirectory=_build --buildsystem=golang

## golang-github-tdewolff-minify 2.11.1

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+SHELL=/usr/bin/env bash
 NAME=minify
 CMD=./cmd/minify
 TARGETS=linux_amd64 darwin_amd64 freebsd_amd64 netbsd_amd64 openbsd_amd64 windows_amd64
@@ -17,8 +18,9 @@
 	if [ "${.SHELLSTATUS}" -eq 0 ]; then \
 		echo "Releasing ${VERSION}"; \
 	else \
-		echo "WARNING: commit is not tagged with a version"; \
+		echo "ERROR: commit is not tagged with a version"; \
 		echo ""; \
+		exit 1; \
 	fi
 	rm -rf dist
 	mkdir -p dist

=== debian/changelog ===
golang-github-tdewolff-minify (2.11.1-1) unstable; urgency=medium

  * New upstream version 2.11.1
  * Bump dependency on golang-github-tdewolff-parse-dev to (>= 2.5.28)

 -- Anthony Fok <foka@debian.org>  Mon, 30 May 2022 02:49:37 -0600

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                golang-github-fsnotify-fsnotify-dev (>= 1.4.9),
                golang-github-matryer-try-dev,
                golang-github-spf13-pflag-dev (>= 1.0.5),
-               golang-github-tdewolff-parse-dev (>= 2.5.27),
+               golang-github-tdewolff-parse-dev (>= 2.5.28),
                golang-github-tdewolff-test-dev (>= 1.0.6)
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.0
@@ -31,7 +31,7 @@
          golang-github-fsnotify-fsnotify-dev (>= 1.4.9),
          golang-github-matryer-try-dev,
          golang-github-spf13-pflag-dev (>= 1.0.5),
-         golang-github-tdewolff-parse-dev (>= 2.5.27),
+         golang-github-tdewolff-parse-dev (>= 2.5.28),
          golang-github-tdewolff-test-dev (>= 1.0.6)
 Description: Go minifiers for web formats
  github.com/tdewolff/minify is a minifier package written in Go.

## golang-github-tdewolff-minify 2.11.2

=== debian/changelog ===
golang-github-tdewolff-minify (2.11.2-1) unstable; urgency=medium

  * New upstream version 2.11.2
  * Bump versioned dependencies as per go.mod
  * Bump Standards-Version to 4.6.1 (no change)
  * Exclude Node.js and Python bindings from build, at least for now
  * Replace Built-Using with Static-Built-Using in debian/control

 -- Anthony Fok <foka@debian.org>  Sun, 05 Jun 2022 06:14:52 -0600

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
                golang-any,
                golang-github-djherbis-atime-dev (>= 1.1.0),
                golang-github-dustin-go-humanize-dev (>= 1.0.0),
-               golang-github-fsnotify-fsnotify-dev (>= 1.4.9),
+               golang-github-fsnotify-fsnotify-dev (>= 1.5.3),
                golang-github-matryer-try-dev,
                golang-github-spf13-pflag-dev (>= 1.0.5),
-               golang-github-tdewolff-parse-dev (>= 2.5.28),
+               golang-github-tdewolff-parse-dev (>= 2.5.29),
                golang-github-tdewolff-test-dev (>= 1.0.6)
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-tdewolff-minify
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-tdewolff-minify.git
 Homepage: https://github.com/tdewolff/minify
@@ -28,10 +28,10 @@
          ${misc:Depends},
          golang-github-djherbis-atime-dev (>= 1.1.0),
          golang-github-dustin-go-humanize-dev (>= 1.0.0),
-         golang-github-fsnotify-fsnotify-dev (>= 1.4.9),
+         golang-github-fsnotify-fsnotify-dev (>= 1.5.3),
          golang-github-matryer-try-dev,
          golang-github-spf13-pflag-dev (>= 1.0.5),
-         golang-github-tdewolff-parse-dev (>= 2.5.28),
+         golang-github-tdewolff-parse-dev (>= 2.5.29),
          golang-github-tdewolff-test-dev (>= 1.0.6)
 Description: Go minifiers for web formats
  github.com/tdewolff/minify is a minifier package written in Go.
@@ -54,7 +54,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Description: CLI implementation of the Go minify library package
  /usr/bin/minify is a CLI implementation of the github.com/tdewolff/minify
  Go library package.

## golang-github-tdewolff-minify 2.11.5

=== debian/changelog ===
golang-github-tdewolff-minify (2.11.5-1) unstable; urgency=medium

  * New upstream version 2.11.5
  * Bump to golang-github-tdewolff-parse-dev (>= 2.5.31) as per go.mod

 -- Anthony Fok <foka@debian.org>  Wed, 08 Jun 2022 09:14:18 -0600

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                golang-github-fsnotify-fsnotify-dev (>= 1.5.3),
                golang-github-matryer-try-dev,
                golang-github-spf13-pflag-dev (>= 1.0.5),
-               golang-github-tdewolff-parse-dev (>= 2.5.29),
+               golang-github-tdewolff-parse-dev (>= 2.5.31),
                golang-github-tdewolff-test-dev (>= 1.0.6)
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.1
@@ -31,7 +31,7 @@
          golang-github-fsnotify-fsnotify-dev (>= 1.5.3),
          golang-github-matryer-try-dev,
          golang-github-spf13-pflag-dev (>= 1.0.5),
-         golang-github-tdewolff-parse-dev (>= 2.5.29),
+         golang-github-tdewolff-parse-dev (>= 2.5.31),
          golang-github-tdewolff-test-dev (>= 1.0.6)
 Description: Go minifiers for web formats
  github.com/tdewolff/minify is a minifier package written in Go.

## golang-github-tdewolff-minify 2.11.10

=== debian/changelog ===
golang-github-tdewolff-minify (2.11.10-1) unstable; urgency=medium

  * New upstream version 2.11.10
  * Update versioned dependencies as per go.mod
  * Refresh Lintian overrides for lintian >= 2.115.0

 -- Anthony Fok <foka@debian.org>  Thu, 23 Jun 2022 23:14:01 -0600

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                golang-any,
                golang-github-djherbis-atime-dev (>= 1.1.0),
                golang-github-dustin-go-humanize-dev (>= 1.0.0),
-               golang-github-fsnotify-fsnotify-dev (>= 1.5.3),
+               golang-github-fsnotify-fsnotify-dev (>= 1.5.4),
                golang-github-matryer-try-dev,
                golang-github-spf13-pflag-dev (>= 1.0.5),
-               golang-github-tdewolff-parse-dev (>= 2.5.31),
+               golang-github-tdewolff-parse-dev (>= 2.6.0),
                golang-github-tdewolff-test-dev (>= 1.0.6)
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.1
@@ -24,15 +24,14 @@
 Package: golang-github-tdewolff-minify-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         golang-github-djherbis-atime-dev (>= 1.1.0),
+Depends: golang-github-djherbis-atime-dev (>= 1.1.0),
          golang-github-dustin-go-humanize-dev (>= 1.0.0),
-         golang-github-fsnotify-fsnotify-dev (>= 1.5.3),
+         golang-github-fsnotify-fsnotify-dev (>= 1.5.4),
          golang-github-matryer-try-dev,
          golang-github-spf13-pflag-dev (>= 1.0.5),
-         golang-github-tdewolff-parse-dev (>= 2.5.31),
-         golang-github-tdewolff-test-dev (>= 1.0.6)
+         golang-github-tdewolff-parse-dev (>= 2.6.0),
+         golang-github-tdewolff-test-dev (>= 1.0.6),
+         ${misc:Depends}
 Description: Go minifiers for web formats
  github.com/tdewolff/minify is a minifier package written in Go.
  It provides HTML5, CSS3, JS, JSON, SVG and XML minifiers and an interface

## golang-github-tdewolff-minify 2.12.1

=== bindings/js/Makefile ===
SHELL=/usr/bin/env bash
VERSION=`git describe --tags --abbrev=0 | cut -b 2-`

# node-gyp will run c++ with -mmacosx-version-min=10.13, set golang to match this
ifeq ($(shell uname -s),Darwin)
export CGO_CFLAGS += -mmacosx-version-min=10.13
export CGO_LDFLAGS += -mmacosx-version-min=10.13
endif

all: build

# called by node-gyp for build-from-source
compile:
	npm --version
	node --version
	go build -buildmode=c-archive -o minify.a minify.go

build:
	go get github.com/tdewolff/minify/v2@v${VERSION}
	node-gyp configure
	prebuildify --napi --strip

publish:
	sed -i.bak -e "s/\"version\": \".*\"/\"version\": \"${VERSION}\"/" package.json
	rm package.json.bak
	npm publish --access=public

clean:
	rm -rf minify.a
	rm -rf build
	rm -rf prebuilds

test:
	node test.js

.PHONY: all compile build publish clean test

=== debian/changelog ===
golang-github-tdewolff-minify (2.12.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Anthony Fok <foka@debian.org>  Thu, 29 Sep 2022 03:25:21 -0600

golang-github-tdewolff-minify (2.12.1-1) unstable; urgency=medium

  * New upstream version 2.12.1
  * Bump dependency: golang-github-tdewolff-parse-dev (>= 2.6.3)
    Fixes https://github.com/tdewolff/minify/issues/528
  * Remove debian/patches/0001-disable-failed-js-tests.patch
    which is no longer needed

 -- Anthony Fok <foka@debian.org>  Tue, 30 Aug 2022 19:30:02 -0600

golang-github-tdewolff-minify (2.12.0-1) unstable; urgency=medium

  * New upstream version 2.12.0
  * Update versioned dependencies as per go.mod
  * Disable two TestJS tests that fail with "identifier a has already
    been declared on line 1 and column x" since parse v2.6.2 which
    detects "JS: syntax error for variable redeclarations".

 -- Anthony Fok <foka@debian.org>  Mon, 29 Aug 2022 15:05:53 -0600

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                golang-github-fsnotify-fsnotify-dev (>= 1.5.4),
                golang-github-matryer-try-dev,
                golang-github-spf13-pflag-dev (>= 1.0.5),
-               golang-github-tdewolff-parse-dev (>= 2.6.0),
-               golang-github-tdewolff-test-dev (>= 1.0.6)
+               golang-github-tdewolff-parse-dev (>= 2.6.3),
+               golang-github-tdewolff-test-dev (>= 1.0.7)
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-tdewolff-minify
@@ -29,8 +29,8 @@
          golang-github-fsnotify-fsnotify-dev (>= 1.5.4),
          golang-github-matryer-try-dev,
          golang-github-spf13-pflag-dev (>= 1.0.5),
-         golang-github-tdewolff-parse-dev (>= 2.6.0),
-         golang-github-tdewolff-test-dev (>= 1.0.6),
+         golang-github-tdewolff-parse-dev (>= 2.6.3),
+         golang-github-tdewolff-test-dev (>= 1.0.7),
          ${misc:Depends}
 Description: Go minifiers for web formats
  github.com/tdewolff/minify is a minifier package written in Go.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := benchmarks bindings

%:
	dh $@ --builddirectory=_build --buildsystem=golang

## golang-github-tdewolff-minify 2.12.4

=== bindings/js/Makefile ===
--- 
+++ 
@@ -11,8 +11,6 @@
 
 # called by node-gyp for build-from-source
 compile:
-	npm --version
-	node --version
 	go build -buildmode=c-archive -o minify.a minify.go
 
 build:
@@ -31,7 +29,7 @@
 	rm -rf prebuilds
 
 test:
-	node test.js
+	npm test
 
 .PHONY: all compile build publish clean test

=== bindings/py/Makefile ===
SHELL=/usr/bin/env bash
VERSION=`git describe --tags --abbrev=0`

all: build

build: *.c *.go
	go get github.com/tdewolff/minify/v2@${VERSION}
	go build -buildmode=c-shared -o minify.so
	python -m build --sdist

publish: clean build
	twine upload dist/*

clean:
	rm -rf dist
	rm -rf tdewolff_minify.egg-info

.PHONY: all build publish clean

=== debian/changelog ===
golang-github-tdewolff-minify (2.12.4-2) unstable; urgency=medium

  * Backport commit 32748bb from minify 2.12.5 to fix test with parse 2.6.5
  * Fix the output of "minify --version" to match the upstream version.
    Thanks to Ben Finney for reporting the discrepancy. (Closes: #916063)
  * Bump Standards-Version to 4.6.2 (no change)

 -- Anthony Fok <foka@debian.org>  Fri, 24 Mar 2023 13:16:21 -0600

golang-github-tdewolff-minify (2.12.4-1) unstable; urgency=medium

  * New upstream version 2.12.4
  * Bump dependency golang-github-tdewolff-parse-dev (>= 2.6.4)

 -- Anthony Fok <foka@debian.org>  Sat, 29 Oct 2022 04:11:17 -0600

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
                golang-github-fsnotify-fsnotify-dev (>= 1.5.4),
                golang-github-matryer-try-dev,
                golang-github-spf13-pflag-dev (>= 1.0.5),
-               golang-github-tdewolff-parse-dev (>= 2.6.3),
+               golang-github-tdewolff-parse-dev (>= 2.6.5),
                golang-github-tdewolff-test-dev (>= 1.0.7)
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-tdewolff-minify
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-tdewolff-minify.git
 Homepage: https://github.com/tdewolff/minify
@@ -29,7 +29,7 @@
          golang-github-fsnotify-fsnotify-dev (>= 1.5.4),
          golang-github-matryer-try-dev,
          golang-github-spf13-pflag-dev (>= 1.0.5),
-         golang-github-tdewolff-parse-dev (>= 2.6.3),
+         golang-github-tdewolff-parse-dev (>= 2.6.5),
          golang-github-tdewolff-test-dev (>= 1.0.7),
          ${misc:Depends}
 Description: Go minifiers for web formats

## golang-github-tdewolff-minify 2.12.7

=== debian/changelog ===
golang-github-tdewolff-minify (2.12.7-1ubuntu0.1) mantic-security; urgency=medium

  * No change rebuid due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 23 Jan 2024 09:34:59 +0530

golang-github-tdewolff-minify (2.12.7-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:15:49 +1200

golang-github-tdewolff-minify (2.12.7-1) unstable; urgency=medium

  * New upstream version 2.12.7
  * Bump versioned dependencies as per go.mod
  * Remove unneeded binary dependency on golang-github-tdewolff-test-dev
    which is used only for tests
  * Remove previously backported 0001-Fix-test.patch, now included upstream

 -- Anthony Fok <foka@debian.org>  Wed, 21 Jun 2023 21:06:07 -0600

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: golang-github-tdewolff-minify
 Section: golang
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
                golang-github-djherbis-atime-dev (>= 1.1.0),
-               golang-github-dustin-go-humanize-dev (>= 1.0.0),
-               golang-github-fsnotify-fsnotify-dev (>= 1.5.4),
+               golang-github-dustin-go-humanize-dev (>= 1.0.1),
+               golang-github-fsnotify-fsnotify-dev (>= 1.6.0),
                golang-github-matryer-try-dev,
                golang-github-spf13-pflag-dev (>= 1.0.5),
-               golang-github-tdewolff-parse-dev (>= 2.6.5),
-               golang-github-tdewolff-test-dev (>= 1.0.7)
+               golang-github-tdewolff-parse-dev (>= 2.6.6),
+               golang-github-tdewolff-test-dev (>= 1.0.9)
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-tdewolff-minify
@@ -25,12 +26,11 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: golang-github-djherbis-atime-dev (>= 1.1.0),
-         golang-github-dustin-go-humanize-dev (>= 1.0.0),
-         golang-github-fsnotify-fsnotify-dev (>= 1.5.4),
+         golang-github-dustin-go-humanize-dev (>= 1.0.1),
+         golang-github-fsnotify-fsnotify-dev (>= 1.6.0),
          golang-github-matryer-try-dev,
          golang-github-spf13-pflag-dev (>= 1.0.5),
-         golang-github-tdewolff-parse-dev (>= 2.6.5),
-         golang-github-tdewolff-test-dev (>= 1.0.7),
+         golang-github-tdewolff-parse-dev (>= 2.6.6),
          ${misc:Depends}
 Description: Go minifiers for web formats
  github.com/tdewolff/minify is a minifier package written in Go.
